commit: cd295fdf21d6afba9018e518f92e6e8c94e1c457
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 15:08:40 2016 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 15:13:03 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd295fdf
dev-lisp/sbcl: Fix sandbox violation.
Thanks to Nicholas Vinson <nvinson234 <AT> gmail.com> for the original patch.
Bug: 572478
Package-Manager: portage-2.2.27
dev-lisp/sbcl/sbcl-1.1.18.ebuild | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/dev-lisp/sbcl/sbcl-1.1.18.ebuild b/dev-lisp/sbcl/sbcl-1.1.18.ebuild
index 0b14a49..926737a 100644
--- a/dev-lisp/sbcl/sbcl-1.1.18.ebuild
+++ b/dev-lisp/sbcl/sbcl-1.1.18.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -108,6 +108,10 @@ src_prepare() {
# #define SBCL_HOME ...
sed "s,/usr/local/lib,/usr/$(get_libdir),g" -i src/runtime/runtime.c ||
die
+ # Avoid sandbox violation, bug #572478
+ sed -i -e "/(sb-posix:rmdir /s%\"/\"%\"${WORKDIR}\"%" \
+ contrib/sb-posix/posix-tests.lisp || die
+
find . -type f -name .cvsignore -delete
}